@echo off
set TOOLS=c:\tools

echo ####### %0 #######

echo Activating Desktopinfo for servers ...
copy /Y %TOOLS%\scripts\config\desktopinfo_server.ini %TOOLS%\desktopinfo\desktopinfo.ini

echo Disabling Lockscreen function ...
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon" ^
  /v DisableLockWorkstation /t REG_DWORD /d "1" /f 2>nul

echo Disabling fast User switching ...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" ^
  /v HideFastUserSwitching /t REG_DWORD /d "1" /f 2>nul

echo Disabling Startmenu power button ...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer" ^
  /v StartMenuLogoff /t REG_DWORD /d "0" /f 2>nul

echo Disabling Startmenu sleep button ...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FlyoutMenuSettings" ^
/v "ShowSleepOption" /t REG_DWORD /d "0" /f 2>nul

echo Disabling Startmenu lock button ...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\FlyoutMenuSettings" ^
/v "ShowLockOption" /t REG_DWORD /d "0" /f 2>nul

echo Disabling Power options ...
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System" ^
  /v shutdownwithoutlogon /t REG_DWORD /d "0" /f 2>nul

reg add "HKLM\SOFTWARE\Microsoft\PolicyManager\default\Start\HideShutDown" ^
  /v "value" /t REG_DWORD /d 1 /f 2>nul

reg add "HKLM\SOFTWARE\Microsoft\PolicyManager\default\Start\HideRestart" ^
  /v "value" /t REG_DWORD /d 1 /f 2>nul

reg add "HKLM\SOFTWARE\Microsoft\PolicyManager\default\Start\HideHibernate" ^
  /v "value" /t REG_DWORD /d 1 /f 2>nul

reg add "HKLM\SOFTWARE\Microsoft\PolicyManager\default\Start\HideSleep" ^
  /v "value" /t REG_DWORD /d 1 /f 2>nul

reg add "HKLM\SOFTWARE\Microsoft\PolicyManager\default\Start\HidePowerButton" ^
  /v "value" /t REG_DWORD /d 1 /f 2>nul

echo ####### %0 #######

